This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964592 - [abrt] xfce4-session-4.10.0-4.fc18: g_slice_alloc: Process /usr/bin/xfce4-session was killed by signal 11 (SIGSEGV)
[abrt] xfce4-session-4.10.0-4.fc18: g_slice_alloc: Process /usr/bin/xfce4-ses...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:09cf21d5e2b44f30033d0c555a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 01:41 EDT by Aaron Faanes
Modified: 2013-05-22 10:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 10:50:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.60 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: cgroup (130 bytes, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: core_backtrace (2.30 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: dso_list (7.39 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: environ (1.52 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: maps (35.26 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: open_fds (715 bytes, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: smolt_data (7.41 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details
File: var_log_messages (1.02 KB, text/plain)
2013-05-19 01:41 EDT, Aaron Faanes
no flags Details

  None (edit)
Description Aaron Faanes 2013-05-19 01:41:34 EDT
Description of problem:
Ran systemd from .xsession

Version-Release number of selected component:
xfce4-session-4.10.0-4.fc18

Additional info:
backtrace_rating: 4
cmdline:        xfce4-session
crash_function: g_slice_alloc
executable:     /usr/bin/xfce4-session
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
xsession_errors: ** (xfce4-session:1792): WARNING **: Unable to launch "/media/safe/etc/X11/xkb/load-keymap dafrito" (specified by autostart/load-keymap.desktop): Failed to execute child process "/media/safe/etc/X11/xkb/load-keymap" (No such file or directory)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slice_alloc at /lib64/libglib-2.0.so.0
 #1 g_slice_alloc0 at /lib64/libglib-2.0.so.0
 #2 binding_signal_new at gtkbindings.c:80
 #3 _gtk_binding_entry_add_signall at gtkbindings.c:841
 #4 gtk_binding_entry_add_signal at gtkbindings.c:985
 #5 gtk_widget_class_init at gtkwidget.c:2420
 #6 g_type_class_ref at /lib64/libgobject-2.0.so.0
 #8 g_object_new_valist at /lib64/libgobject-2.0.so.0
 #10 gtk_invisible_new_for_screen at gtkinvisible.c:140
 #11 xfsm_logout_dialog at xfsm-logout-dialog.c:758
Comment 1 Aaron Faanes 2013-05-19 01:41:36 EDT
Created attachment 749964 [details]
File: backtrace
Comment 2 Aaron Faanes 2013-05-19 01:41:38 EDT
Created attachment 749965 [details]
File: cgroup
Comment 3 Aaron Faanes 2013-05-19 01:41:40 EDT
Created attachment 749966 [details]
File: core_backtrace
Comment 4 Aaron Faanes 2013-05-19 01:41:41 EDT
Created attachment 749967 [details]
File: dso_list
Comment 5 Aaron Faanes 2013-05-19 01:41:43 EDT
Created attachment 749968 [details]
File: environ
Comment 6 Aaron Faanes 2013-05-19 01:41:44 EDT
Created attachment 749969 [details]
File: limits
Comment 7 Aaron Faanes 2013-05-19 01:41:46 EDT
Created attachment 749970 [details]
File: maps
Comment 8 Aaron Faanes 2013-05-19 01:41:48 EDT
Created attachment 749971 [details]
File: open_fds
Comment 9 Aaron Faanes 2013-05-19 01:41:49 EDT
Created attachment 749972 [details]
File: proc_pid_status
Comment 10 Aaron Faanes 2013-05-19 01:41:51 EDT
Created attachment 749973 [details]
File: smolt_data
Comment 11 Aaron Faanes 2013-05-19 01:41:52 EDT
Created attachment 749974 [details]
File: var_log_messages
Comment 12 Kevin Fenzi 2013-05-19 12:34:17 EDT
"Ran systemd from .xsession"

Can you expand on what you mean there? What exactly do you have in your .xsession?
Comment 13 Aaron Faanes 2013-05-21 02:08:35 EDT
Kevin, thanks for responding. This is my .xsession in full:

#!/bin/bash

systemd --user &

/usr/bin/startxfce4

It's possible (probable?) that I'm doing something wrong here, but I wouldn't anticipate a crash in xfce4-session due to it.
Comment 14 Kevin Fenzi 2013-05-21 11:56:50 EDT
systemd user sessions are not something we have tested or looked into at all. 

I'm not at all surprised it doesn't work for you. 

Remove the 'systemd --user &' line, does it then work?
Comment 15 Aaron Faanes 2013-05-22 03:56:27 EDT
So I did some more investigating:

### systemd user session is likely not the problem

For starters, I don't think systemd was a culprit:

I removed 'systemd --user &' as you suggested and tested rebooting 10 times, all succeeding without crashes.

I then re-added the 'systemd --user &' and rebooted 10 more times, also all succeeding.

### More details on how this bug occurred

I'd also like to point out that this bug didn't prevent me from using XFCE. Generally speaking, I could log in, use the desktop, and everything else. The problem was that it would intermittently crash my desktop back to the login screen. This crash would occur after I closed an application like Firefox or Terminator.

Another symptom of this problem was that, when running from the .xsession (as opposed to the default XFCE desktop), choosing the "Log out" option in the Applications menu would not show the "Log out, restart, shutdown, etc." dialog. It would, when opened, immediately log out. This may have been a crash, but I unfortunately can't remember.

### Partial steps to reproduce

After doing the 20 reboot tests, I played around more with the session, and got the bug to pop up once after doing the following steps:

1. Have a saved session with Firefox and Terminator open. Firefox opens with the 'Restore session' dialog.
2. Close Firefox without restoring the session.
3. Note that XFCE appears to log out.
4. Log back in.
5. See the report that xfce4-session crashed.

These steps sadly aren't a definitive way to reproduce it.

### Workaround

I opened up XFCE's "Session and Startup" and cleared the cached sessions and saved an existing session. Once I did this, the problem could no longer be reproduced. Even after creating the session described in the steps above, things seem to work fine, and the Logout dialog opens as expected again.

### Conclusions

My hypothesis was that, during the transition from XFCE desktop to my User Script (which was done the same day as this bug first appeared), the saved session was somehow corrupted. Clearing the cache and saving an entirely new session eliminated this corruption.

Since this problem was likely user error, and I can't reproduce it anymore, this bug could probably be closed. Of course, if you have any further steps you'd like me to take, I'm all for it. I'll also update and re-open this bug if this issue pops up again.
Comment 16 Kevin Fenzi 2013-05-22 10:50:47 EDT
Odd. There was a bug a while back related to session saving an multiple applications that needed to save. ie, open a gedit and make some changes, open a libreoffice-write and make some changes and then try and quit your session, both gedit and libreoffice-write asks "do you want to save this document" and the Xfce session blows up. However, that was fixed a while back. ;( 

Anyhow, I'm fine closing this now if you have things working. Do re-open if it happens again or you get more info. 

Thanks!

Note You need to log in before you can comment on or make changes to this bug.